import pika
import time
import random

collection = ["Application for the implementation of a quality management system", "The contract is completed", "Enrollment order completed", "Sistem implemented"]

connection = pika.BlockingConnection(pika.ConnectionParameters('localhost'))
channel = connection.channel()

channel.exchange_declare(exchange='Agreements', exchange_type='fanout')

while True:
    message = f"Message: {random.choice(collection)}"

    channel.basic_publish(exchange='Agreements', routing_key='', body=message)

    time.sleep(1)

connection.close()